petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESQNSetScaleType

Sets the scaling type for the inner inverse Jacobian in SNESQN.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESQNSetScaleType(SNES snes, SNESQNScaleType stype)

Logically Collective on SNES

### Input Parameters

| snes | - the iterative context
| stype | - scale type

### Options Database

-snes_qn_scale_type <shanno,none,linesearch,jacobian> -

### SNESQNScaleTypes

| SNES_QN_SCALE_NONE | - don't scale the problem
| SNES_QN_SCALE_SHANNO | - use shanno scaling
| SNES_QN_SCALE_LINESEARCH | - scale based upon line search lambda
| SNES_QN_SCALE_JACOBIAN | - scale by solving a linear system coming from the Jacobian you provided with SNESSetJacobian() computed at the first iteration of QN and at ever restart.

### Keywords

scaling type

### See Also

SNES, SNESQN, SNESLineSearch, SNESQNScaleType, SNESetJacobian()

Level:intermediate
Location:src/snes/impls/qn/qn.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages